import { Observable } from 'rxjs';

export interface NativeService {
  showNotify(
    roomSeq: number,
    title: string,
    contents: string,
    image: string,
    useSound: boolean
  ): void;

  checkForUpdates(): Observable<boolean>;

  showImageViewer(): void;

  saveFile(path: string, buf: ArrayBuffer): Observable<boolean>;
  readFile(path: string): Observable<ArrayBuffer>;
}
